<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.commerce.product.type.grouped.service.impl.CPDefinitionGroupedEntryLocalServiceImpl" deactivate="deactivate">
  <property name="model.class.name" type="String" value="com.liferay.commerce.product.type.grouped.model.CPDefinitionGroupedEntry"/>
  <service>
    <provide interface="com.liferay.portal.aop.AopService"/>
  </service>
  <reference name="_cProductLocalService" interface="com.liferay.commerce.product.service.CProductLocalService" field="_cProductLocalService"/>
  <reference name="_cpDefinitionLocalService" interface="com.liferay.commerce.product.service.CPDefinitionLocalService" field="_cpDefinitionLocalService"/>
  <reference name="_indexerRegistry" interface="com.liferay.portal.kernel.search.IndexerRegistry" field="_indexerRegistry"/>
  <reference name="_portalUUID" interface="com.liferay.portal.kernel.uuid.PortalUUID" field="_portalUUID"/>
  <reference name="_userLocalService" interface="com.liferay.portal.kernel.service.UserLocalService" field="_userLocalService"/>
  <reference name="counterLocalService" interface="com.liferay.counter.kernel.service.CounterLocalService" field="counterLocalService"/>
  <reference name="cpDefinitionGroupedEntryPersistence" interface="com.liferay.commerce.product.type.grouped.service.persistence.CPDefinitionGroupedEntryPersistence" field="cpDefinitionGroupedEntryPersistence"/>
  <implementation class="com.liferay.commerce.product.type.grouped.service.impl.CPDefinitionGroupedEntryLocalServiceImpl"/>
</scr:component>
